/********************************************************/
/*                                                      */
/*  Fachhochschule Jena                                 */
/*  Mikroprozessortechnik                               */
/*  Michael Goldbuch; Jrgen Dffinger                  */
/*                                                      */
/*  led.asm   Version 1.0.0   2011-05-19                */
/*                                                      */
/*  Die led.asm enthlt Funktionen zur Manipulation der */
/*  Back Leds und der Front LED.                        */
/*                                                      */
/********************************************************/
//////////////////////////////////////////////////////////



/***************   BackLED   **************/

.macro BackLED

	push  R16
	ldi   R16,@0
	rcall BackLED_Exec
	pop   R16

.endm



/***************   BackLED_Exec   ***************/

BackLED_Exec:

	//	rechte LED prfen
	lsr  R16
	brcs BackLED_Exec_1

	//	Carry 0 dann rechte LED abschalten
	cbi  PORTC,0
	rjmp BackLED_Exec_2

BackLED_Exec_1:

	//	Carry 1 dann rechte LED einschalten
	sbi  PORTC,0

BackLED_Exec_2:

	//	linke LED prfen
	lsr  R16
	brcs BackLED_Exec_3

	//	Wenn Carry 0 dann linke LED abschalten
	cbi  PORTC,1
	rjmp BackLED_Exec_4

BackLED_Exec_3:

	//	Wenn Carry 1 dann linke LED einschalten
	sbi PORTC,1

BackLED_Exec_4:

ret
